Package org.eclipse.zest.layouts.dataStructures

# Class DisplayIndependentPoint

java.lang.Object
org.eclipse.zest.layouts.dataStructures.DisplayIndependentPoint

Direct Known Subclasses:
  `BendPoint`

public class DisplayIndependentPoint extends Object
This is a point that isn't dependent on awt, swt, or any other library, except layout.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`x`
`double`
`y`

## Constructor Summary

Constructors
Constructor
Description
`DisplayIndependentPoint(double x, double y)`
`DisplayIndependentPoint(DisplayIndependentPoint point)`

## Method Summary

Modifier and Type
Method
Description
`DisplayIndependentPoint`
`convert(DisplayIndependentRectangle currentBounds, DisplayIndependentRectangle targetBounds)`
Create a new point based on the current point but in a new coordinate system
`DisplayIndependentPoint`
`convertFromPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values from a percentage of the specified coordinate system
`DisplayIndependentPoint`
`convertToPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values to a percentage of the specified coordinate system
`boolean`
`equals(Object o)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public double x

### y

public double y

## Constructor Details

### DisplayIndependentPoint

public DisplayIndependentPoint(double x, double y)

### DisplayIndependentPoint

public DisplayIndependentPoint(DisplayIndependentPoint point)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### convert

public DisplayIndependentPoint convert(DisplayIndependentRectangle currentBounds, DisplayIndependentRectangle targetBounds)
Create a new point based on the current point but in a new coordinate system

Parameters:
  `currentBounds` -
  `targetBounds` -

### convertToPercent

public DisplayIndependentPoint convertToPercent(DisplayIndependentRectangle bounds)
Converts this point based on the current x, y values to a percentage of the specified coordinate system

Parameters:
  `bounds` -

### convertFromPercent

public DisplayIndependentPoint convertFromPercent(DisplayIndependentRectangle bounds)
Converts this point based on the current x, y values from a percentage of the specified coordinate system

Parameters:
  `bounds` -